#include <vector>
#include <algorithm>
#include <iostream>
#include <cstdio>
#include <set>
using namespace std;

#define TASK "colors"

int main()
{
    freopen(TASK ".in", "r", stdin);
    freopen(TASK ".out", "w", stdout);

    ios_base::sync_with_stdio(false);

    int n, k;
    cin >> n >> k;
    vector <int> v(n);
    multiset <int> buffer;
    for (int i = 0; i < n; i++) {
        cin >> v[i];
        buffer.insert(v[i]);
    }

    sort(v.begin(), v.end());
    v.resize(unique(v.begin(), v.end()) - v.begin());
    vector <int> ans;
    for (int i = 0; i < min(k, (int) v.size()); i++) {
        ans.push_back(v[i]);
        buffer.erase(buffer.find(v[i]));
    }

    for (int i = 0; i < k - (int) v.size(); i++) {
        ans.push_back(*buffer.begin());
        buffer.erase(buffer.begin());
    }

    for (int i = 0; i < k; i++) {
        cout << ans[i] << " ";
    }
    cout << endl;

    return 0;
}
