import java.io.*;
import java.io.FileInputStream;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.PrintWriter;
import java.lang.Integer;
import java.util.*;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.List;

public class colors_zv_subtask1_java {
    public void run() throws IOException {

        FastScanner inf = new FastScanner(new File("colors.in"));
        PrintWriter writer = new PrintWriter(new FileOutputStream("colors.out"));

        int n = inf.nextInt();
        int k = inf.nextInt();
        int[] a = new int[n];
        for (int i = 0; i < n; i++) {
            a[i] = inf.nextInt();
        }
        for (int i = 0; i < n; i++) {
            for (int j = 0; j < n; j++) {
                if (a[j] < a[i]) {
                    int x = a[i];
                    a[i] = a[j];
                    a[j] = x;
                }
            }
        }
        boolean[] vis = new boolean[n];
        List<Integer> ans = new ArrayList<>();
        vis[0] = true;
        ans.add(a[0]);
        for (int i = 1; i < n; i++) {
            if (a[i] == a[i - 1]) continue;
            if (ans.size() == k) break;
            vis[i] = true;
            ans.add(a[i]);
        }
        for (int i = 0; i < n; i++) {
            if (!vis[i] && ans.size() < k) {
                ans.add(a[i]);
            }
        }

        for (int x : ans) writer.print(x + " ");
        writer.println();

        writer.close();
    }

    public static void main(String[] args) throws IOException {
        new colors_zv_subtask1_java().run();
    }

    class FastScanner {
        BufferedReader br;
        StringTokenizer st;

        FastScanner(File f) {
            try {
                br = new BufferedReader(new FileReader(f));
            } catch (FileNotFoundException e) {
                e.printStackTrace();
            }
        }

        String next() {
            while (st == null || !st.hasMoreTokens()) {
                try {
                    st = new StringTokenizer(br.readLine());
                } catch (IOException e) {
                    e.printStackTrace();
                }
            }
            return st.nextToken();
        }

        int nextInt() {
            return Integer.parseInt(next());
        }
    }
}
