#include <cstdio>
#include <iostream>
#include <vector>
#include <cstdlib>
#include <cassert>
#include <ctime>
using namespace std;
#define NAME "parade"

const int N = 10000000;

bool p[N + 10];
vector <int> primes;

int main() {
    freopen(NAME".in", "r", stdin);
    freopen(NAME".out", "w", stdout);
    int k, n;
    cin >> k >> n;
    for (int i = 2; i * i <= N; ++i)
        if (!p[i])
            for (int j = i * i; j <= N; j += i)
                p[j] = true;
    for (int i = 2; i <= N; ++i)
        if (!p[i])
            primes.push_back(i);
    if (primes.size() < k || k > n * n)
        cout << -1 << endl;
    else if (k <= n) {
        for (int i = 0; i < n; ++i, printf("\n"))
            for (int j = 0; j < n; ++j)
                printf("%d ", primes.at((i + j) % k));
    } else {
        int i = 0;
        while (i < n * n) {
            if (n * n - i > k - n)
                printf("%d ", primes.at((i + i / n) % n));
            else
                printf("%d ", primes.at(n * n - i - 1 + n));
            ++i;
            if (i % n == 0)
                printf("\n");
        }
    }
    return 0;
}
